/* H-soubor k souboru user_interface.c*/
#ifndef _USER_INTERFACE_H
#define _USER_INTERFACE_H

// Definice 
#define true			1
#define false			0

#define FIND_ALL_SENSORS		0x07
#define FIND_1_SENSORS			0x01
#define FIND_2_SENSORS			0x02
#define FIND_3_SENSORS			0x04

#define SET_IP					1
#define SET_MASK				2
#define SET_GATE				3

#define SET_PORTHTTP			1
#define SET_PORTUDP				2
#define SET_PORTTELNET			3

#define SET_PWM_MAX				10

// Prototypy funkci
void UserInterface_Run(void);
void UserInterface_Init(void);
void UserInterface_SensorInit(void);
void UserInterface_FlashSensorErase(void);
void UserInterface_PridatPlan(uint8_t ID);
uint8_t UserInterface_ProchazetPlany(void);
void UserInterface_Power_Set(uint8_t Kanal);
void UserInterface_PWM_Set(uint8_t Kanal);
void UserInterface_ShowTemp(void);
void UserInterface_ShowHumidity(void);
void UserInterface_ShowCurrent(void);
void UserInterface_SetTime(void);
void UserInterface_SetDate(void);
void UserInterface_SetIP(uint8_t typ);
void UserInterface_SetMAC(void);
void UserInterface_SetPort(uint8_t typ);
uint16_t UserInterfaceEdit_int16(uint16_t hodnota, uint16_t maximum, uint8_t cifer, uint8_t x, uint8_t y);
uint8_t UserInterfaceEdit_hex8(uint8_t hodnota, uint8_t x, uint8_t y);
uint8_t UserInterface_CompareMax(uint16_t *Cislo, uint16_t maximum);

#endif
/* Konce souboru */
